Subject: Re[2]: [PATCH][v2] fork_init: fix division by zero

From: Yuri Tikhonov <[email-masked]>
Date: Fri, 19 Dec 2008 08:49:10 +0300

=0D=0AHello Andrew,

On Friday, December 19, 2008 you wrote:
[snip]
>>  There is one more warning from the common code when I use 256KB pages:
>>=20
>>    CC      mm/shmem.o
>> mm/shmem.c: In function 'shmem_truncate_range':
>> mm/shmem.c:613: warning: division by zero
>> mm/shmem.c:619: warning: division by zero
>> mm/shmem.c:644: warning: division by zero
>> mm/shmem.c: In function 'shmem_unuse_inode':
>> mm/shmem.c:873: warning: division by zero
>>=20
>>  The problem here is that ENTRIES_PER_PAGEPAGE becomes 0x1.0000.0000
>> when PAGE_SIZE is 256K.
>>=20
>>  How about the following fix ?

[snip]

> Looks sane.

 Thanks for reviewing.

> But to apply this I'd prefer a changelog, a signoff and a grunt from Hugh.

 Sure, I'll post this in the separate thread then; keeping Hugh in CC.

 Regards, Yuri

 --
 Yuri Tikhonov, Senior Software Engineer
 Emcraft Systems, www.emcraft.com